Issue 67237 - jpeg export: use "jpeg progressive mode" for big images
Summary: jpeg export: use "jpeg progressive mode" for big images
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: OOo 2.0.3
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.1
Assignee: sven.jacobi
QA Contact: issues@gsl
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2006-07-11 15:06 UTC by hdu@apache.org
Modified: 2008-05-16 03:32 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2006-07-11 15:06:19 UTC
Importing huge images is costly, especially when only downscaled versions of the
images are needed. This can be made much cheaper when the image format is
suitable for downscaling. Therefore I suggest to enable "JPEG progressive mode"
for exporting JPEGs bigger than a certain size (e.g. bigger than x>128 or y>128).
Comment 1 ace_dent 2006-07-11 21:53:10 UTC
In switching from baseline to progressive jpeg, will lossless conversion be
implemented? Conversion by decompressing and recompressing is obviously lossy
due to rounding errors.
Choice of the arbitary size may be tricky. Is there an optimal value based on a
'standard' PC (extra decoding cost vs display of scaled images cost)?

Regards,
Andrew
Comment 2 sven.jacobi 2006-07-14 17:16:43 UTC
sj: this issue has been fixed now in cws[pngperf].

sj->ace: lossless jpeg won't be implemented. If someone wants to use a lossless
format, he has the choice to use png instead of jpeg.
And of course, I don't know the optimal value for the arbitrary size we use.
Comment 3 ace_dent 2006-07-17 10:23:19 UTC
@sj: My first impression of this Issue was that when saving an OOo document, the
jpegs contained within would *all* be converted to progressive jpegs. If this
were the case, the conversion from baseline to progressive should be done
without data loss (ie. not decoding & re-encoding DCT info, instead just by
processing the DCT blocks losslessly). I wasn't referring to the lossless jpg
format- just how to handle the conversion.
However, on re-reading the issue I see it states: 'exporting' of jpegs. I assume
this only effects exporting a drawing / presentation to jpeg format. My original
concern was that for users (like myself) who take time to optimize their images,
that any imported jpegs would be converted on saving (thus undoing any
optimization).
Comment 4 sven.jacobi 2006-07-17 11:21:23 UTC
When saving an OOo document most graphics remains unchanged such as png, jpeg,
tif, pcd, wmf, emf, eps. (for bmp exists a little exception, they are converted
to png always) So this issue depends only to graphics which are exported to jpg.
Comment 5 ace_dent 2006-07-17 12:31:58 UTC
>'sj': Thanks for clarifying. Sorry again for my misunderstanding. :-)
Comment 6 groucho266 2006-08-24 13:36:18 UTC
Verified.,
Comment 7 wolframgarten 2006-08-24 13:59:19 UTC
Adapted target.
Comment 8 ace_dent 2008-05-16 03:32:12 UTC
This Issue is 'Verified' and not updated in 1yr+, so Closing.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~